org.eclipse.mat.internal.apps

## Class ParseSnapshotApp

- java.lang.Object
- - org.eclipse.mat.internal.apps.ParseSnapshotApp

All Implemented Interfaces:
  org.eclipse.equinox.app.IApplication

    public class ParseSnapshotApp
    extends Object
    implements org.eclipse.equinox.app.IApplication

Opens and parses a dump into a snapshot and runs reports on the snapshot.

### Field Summary

### Fields inherited from interface org.eclipse.equinox.app.IApplication

`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

### Constructor Summary

Constructors
Constructor and Description
`ParseSnapshotApp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `start(org.eclipse.equinox.app.IApplicationContext context)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParseSnapshotApp

    public ParseSnapshotApp()

### Method Detail

#### start

    public Object start(org.eclipse.equinox.app.IApplicationContext context)
                 throws Exception

Specified by:
  `start` in interface `org.eclipse.equinox.app.IApplication`
Throws:
  `Exception`

#### stop

    public void stop()

Specified by:
  `stop` in interface `org.eclipse.equinox.app.IApplication`